Do not journalize attachments that are added during a "Copy Issue" operation
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 4.1.3   

Resolution: Fixed Affected version:  

Description

When copying an issue, the user can change arbitrary values before saving the copy. It is also possible to add attachments here.

Before this patch, such attachments were added to the journal entry that is created to hold the "copied from" relationship change.

Since no other attribute changes are journalized, but only added attachments, we found that to be confusing. The attached patch

which has been extracted from Planio prevents that from happening by checking for `copy?` in `Issue#attachment_added`.

Associated revisions

Revision 20872 - 2021-03-29 05:32 - Go MAEDA

Do not journalize attachments that are added during a "Copy Issue" operation (#34921).

Patch by Jens Krämer.

Revision 20873 - 2021-03-29 07:50 - Go MAEDA

Merged r20872 from trunk to 4.2-stable (#34921).

Revision 20874 - 2021-03-29 07:52 - Go MAEDA

Merged r20872 from trunk to 4.1-stable (#34921).

History

#1 - 2021-03-28 08:20 - Go MAEDA

- Tracker changed from Patch to Defect

- Status changed from New to Confirmed

- Target version set to 163

Setting the target version to 4.0.9.

#2 - 2021-03-28 13:36 - Go MAEDA

- Target version changed from 163 to 4.1.3

#3 - 2021-03-29 05:34 - Go MAEDA

- Subject changed from do not journalize attachments that are added during an "Copy Issue" operation to Do not journalize attachments that are

added during a "Copy Issue" operation

- Status changed from Confirmed to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix. Thank you.

#4 - 2021-03-29 07:53 - Go MAEDA

- Status changed from Resolved to Closed

Files

0001-fix-issue_copy-do_not_journalize_attachments.patch 1.78 KB 2021-03-18 Jens Krämer
